Subject: Re: Cross Compiler and __RUNTIME_PSEUDO_RELOC_LIST__
From: "Tim Renner" <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Mon, 31 Mar 2003 15:21:44 -0500

>Tim Renner wrote:
>>$ for f in `find . -name '*.a'`;do nm $f 2>/dev/null |grep 
>>PSEUDO_RELOC_LIST && echo $f;
>>done
>>         U ___RUNTIME_PSEUDO_RELOC_LIST_END__
>>         U ___RUNTIME_PSEUDO_RELOC_LIST__
>>./libcygwin.a
>>         U ___RUNTIME_PSEUDO_RELOC_LIST_END__
>>         U ___RUNTIME_PSEUDO_RELOC_LIST__
>>./libg.a
>>
>>
>>Can anyone tell me what eventually resolves those symbols in a normal 
>>cygwin(not cross) compile?  Or better, if you know how I can fix this in 
>>my cross compiler ;)
>
>Use last version of binutils. Current ld emits both this symbols while 
>linking executable.
>
>egor.

Do you mean use the last version (2.12?) of binutils when I build them for 
my cross compiler and the compiler itself, or actually rebuild the cygwin 
libraries using an older ld, meaning I can't use the precompiled binaries, 
but have to custom make my own?  Using the existing ones is very 
preferable... If I can get away with that, all the better...

-Tim

_________________________________________________________________
The new MSN 8: advanced junk mail protection and 2 months FREE*  
http://join.msn.com/?page=features/junkmail

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/